use serde::Deserialize;

use crate::proxy::ProxyMirror;

#[derive(Debug, Deserialize)]
pub struct Config {
    pub mirrors: Vec<String>,
    pub cache_dir: String,
}

impl Config {
    pub fn to_proxy(&self) -> ProxyMirror {
        ProxyMirror::new(self.mirrors.clone(), &self.cache_dir)
    }
}
